---
date: 2020-11-12
id: 2ced27fe-8663-43d3-b3e7-f2b332599637
title: JavaScript String padEnd Method
---

# Syntax

``` javascript
console.log("x".padEnd(5, "ab")); // xabab
```

# See also

-   [padStart](20201112095657-javascript_string_padstart_method)
-   [JavaScript String Prototype
    Methods](20201112095341-javascript_string_prototype_methods)
-   [ES2017](20201026104538-es2017)
